Ir para conteúdo
  • Cadastre-se

Certificado digital


Carlos_Alberto

Posts Recomendados

*** respostando o que eu havia escrito anteriormente em outro tópico ***

*** a grande sacada aqui é usar uma versão mais antiga do firefox.

Senhores, após 2 dias e umas 8h quebrando a cabeça, consegui fazer funcionar o meu novo Macbook Air M1 com a intranet da empresa em que trabalho. Sempre busquei informação do PJe Office dos advogados pois acho que usamos a mesma tecnologia ou forma de acesso (Firefox, Safe Sign, Token Admin etc).

A dica de ouro é usar uma versão antiga do Firefox (v.83). Aqui funcionou após muito quebrar a cabeça!

Fonte da informação:

https://forums.epo.org/epo-smart-card-drivers-on-m1-apple-silicon-macbooks-9988

"For those that may be interested, the solution identified with the IT support was to install a pre-Apple Silicon version of Firefox and use the latest drivers.
i.e.
Install cryptovision sc/interface 8.0 drivers on Big Sur.
Download and install the old Firefox v83.
Disable automatic updates on Firefox.
Then install the Gemalto PC Twin Reader module in Firefox in the usual way.
This works."

O problema que dava pra mim é que ao carregar o libaetpkss.dylib dava erro. Com a versão v83 carregou normal e está funcionando. Do que se trata isso? Minhas anotações e estudos tem esse passo aqui, que é onde não estava tendo sucesso no M1: "Firefox > opções (ou preferencias)> privacidade e segurança > dispositivos de segurança > botão “carregar” e digite no campo que será aberto “/Applications/tokenadmin.app/Contents/Frameworks/libaetpkss.dylib” (sem as aspas) e clique OK"

Espero que tenha consegui explicar direitinho pra vcs. A idéia é só compartilhar o que funcionou aqui neste fórum que tanto já me salvou em muitos apuros que já passei em Certificados Digitais em Macbook.

Macbook Air M1

Safesign 3.5.6.1.

Safenet Authentication Client 10.2.97.0.

Firefox v.83.

Em 23/04/2021 at 23:09, Ana Carolina Prado disse:

Prezados, comprei um Macbook Air M1, faço todo o passo a passo do site da Certisign porém, quando chega na parte dos certificados no Mozilla ele não permite que eu instale o arquivo libaetpkss.dylib. Alguém indica uma solução?

Pelo nome desse arquivo dylib aí, acho que o seu problema era exatamente o meu. Veja meu ultimo post. Demorei pra solucionar mas salvou  meu M1 aqui (tava quase desistindo e voltando pro meu mac antigo).

Link para o comentário
Compartilhar em outros sites

11 horas atrás, tbmineiro disse:

@mktanaka Cara, baixei o Token Admin do link holandes doido lá, instalei.

PJE Office rodando no Rosetta 2 blz, mas não lê o token GD nem a porretada.

Tá usando qual adaptador pra USBC (Thunderbolt)?

O que mais devo fazer? Tem que instalar algum driver?

Como eu disse, eu não uso PJE Office, mas meu acesso remoto do trabalho deve usar a mesma tecnologia de vocês, por isso sempre busco nos foruns pelo funcionamento dele.

Eu não uso nem sei o que seria "token GD".

Adaptador USBC: uso um original da Apple que alguém trouxe de fora há um tempão já (meu Mac anterior já era com essa porta).

Eu basicamente sigo os seguintes passos:

- Firefox para Mac (nessa versão antiga citada aí 83).

- Token admin (safe sign versão 3.5.6.1; acho que é desse tal site holandes que alguem postou antes aqui no forum).

- Testar no aplicativo token admin se está "operacional". Se sim, vai no meu "integration" e depois "install safesign on firefox".

- ir no Firefox > opções (ou preferencias)> privacidade e segurança > dispositivos de segurança > botão “carregar” e digite no campo que será aberto “/Applications/tokenadmin.app/Contents/Frameworks/libaetpkss.dylib” (sem as aspas) e clique OK. Tem que ser adicionado esse terceiro item “novo módulo PKCS#11”

- Testar acesso no site da receita federal, acesso por certificado digital.

- Apenas para registro caso alguém também use: para o acesso remoto do meu trabalho, em algumas funções mais específicas, eu tenho que instalar o Citrix Workspace para MAC (atualmente tenho a versão Versão: 20.07.0.6 (2007)) https://www.citrix.com/pt-br/downloads/workspace-app/mac/

Espero que isso tudo ajude vc e outros usuários.

Link para o comentário
Compartilhar em outros sites

Em 17/05/2021 at 20:10, Kobe disse:

Dentro das configurações do PJe Office > Configurações de Certificado > PKCS11 > Adicionar > /Library/Frameworks/libCryptoValid.dylib > Concluir

Ajudou demais!!!! Demora pra reconhecer na primeira vez, mas rodou aqui tb. Pje é o mesmo em qualquer TJ.

Testei no esaj mas continua dando problema. Ele até reconhece, mas não autêntica. Tentei pôr no websigner o mesmo caminho mas ele pede o PIN do valid. 😂😂😂😂 
Tu conseguiste esaj?

 

Link para o comentário
Compartilhar em outros sites

Em 26/05/2021 at 20:11, rborgesss disse:

Alguém pode me ajudar a usar essa merda de Shodo? 

 

Só consigo usar o Pje Office no Mac. =(

Só seguir o passo-a-passo de qualquer manual. Tem que fazer uma liberação no navegador. Há nos sites de qualquer TRT, TST. Recomendo esse material para download ou acesso as orientações dessa página do TRT18.

Embora as instruções iniciais sejam voltadas para Windows, a configuração em si e os demais procedimentos são exatamente os mesmos.

Embora me incomode alguns dos assinadores da JT criarem um atalho do Shodo no Desktop, o que é um pouco chato, de todos os apps para uso de certificado digital, na minha opinião o Shodo foi o mais fácil de instalar. Mais fácil que PJeOffice, WebSigner, WebPKI, Certisign, BRy, etc.

Além disso, uso normalmente no Safari.

Link para o comentário
Compartilhar em outros sites

Em 28/05/2021 at 09:03, rafaelalvesgb disse:

Só seguir o passo-a-passo de qualquer manual. Tem que fazer uma liberação no navegador. Há nos sites de qualquer TRT, TST. Recomendo esse material para download ou acesso as orientações dessa página do TRT18.

Embora as instruções iniciais sejam voltadas para Windows, a configuração em si e os demais procedimentos são exatamente os mesmos.

Embora me incomode alguns dos assinadores da JT criarem um atalho do Shodo no Desktop, o que é um pouco chato, de todos os apps para uso de certificado digital, na minha opinião o Shodo foi o mais fácil de instalar. Mais fácil que PJeOffice, WebSigner, WebPKI, Certisign, BRy, etc.

Além disso, uso normalmente no Safari.

Já segui tudo isso, só consigo usar PJeOffice, Shodo fala que a senha tá errada, mas não está.

Link para o comentário
Compartilhar em outros sites

Galera, tenho um Mac com M1 e meu certificado irá renovar e estava pensando em comprar outra mídia ou trocar de certificadora, qual vcs recomendam para quem tem Mac na última versão. Tenho um token 5110 com certificado da Certisign (Safenet) e nao está funcionando no meu. Mesmo instalando a ultima versão do SAC (.111).

Link para o comentário
Compartilhar em outros sites

Em 17/05/2021 at 20:10, Kobe disse:

Comprei esse certificado hoje, pra testar. Depois de quebrar a cabeça, fui seguindo algumas dicas desse tópico e consegui configurar e acessar o PJe do TJMG, imagino que funcione para outros estados tb.

Instalação normal do VidaaS Connect, com ativação, etc, e do PJe Office. 

Dentro das configurações do PJe Office > Configurações de Certificado > PKCS11 > Adicionar > /Library/Frameworks/libCryptoValid.dylib > Concluir

Depois de umas idas e vindas, o certificado apareceu e consegui entrar no PJe TJMG pelo Safari. Aos poucos, vou testando em outros tribunais. 

Setup: Macbook Air 2014, com macOS Big Sur. Tem só 4gb de Ram, máquina virtual não rodava bem, não...

Espero ter ajudado!

Comprei o valid por causa desse teu tutorial. funcionou pra mim. ótimo! obrigado 😉 Mas o mesmo problema do amigo a cima com eSaj.

Editado por dekmaster
Link para o comentário
Compartilhar em outros sites

13 horas atrás, dekmaster disse:

Comprei o valid por causa desse teu tutorial. funcionou pra mim. ótimo! obrigado 😉 Mas o mesmo problema do amigo a cima com eSaj.

Por aqui só um problema @Kobe não dá pra assinar. Ele entra no pje e tudo, mas não assina. Por aí vcs conseguiram assinar de boa? Tem mais alguma dica?

Link para o comentário
Compartilhar em outros sites

Em 19/04/2021 at 16:32, rafaelalvesgb disse:

Já está liberado nas Preferências do Sistema (costuma ser aberto um pop up de "Open Anyway" (Abrir mesmo assim) em System Preferences > Security & Privacy > General)?

E no Java, os sites já foram indicados para a lista de exceção (Java > Java Control Panel > Security > Edit Site List)?

 

Eu acredito que seja esta última opção o que você precisa resolver. Geralmente eu cadastro os sites tanto com HTTP quanto com HTTPS.

Sim. Tudo isso em ordem.

O meu problema, aparentemente, é uma incompatibilidade do PjeOffice com o BigSur. Algo como se ele fosse um arquivo que, ao executar, "crasha". Imagino que tenha a ver com a mudança dos "programas" para "apps" a partir desse novo MacOS, pois antes de atualizar, sempre tudo, funcionou. Logo depois da atualização do Mojave pro BigSur, parou de funcionar.

Link para o comentário
Compartilhar em outros sites

Em 30/05/2021 at 13:47, rborgesss disse:

Já segui tudo isso, só consigo usar PJeOffice, Shodo fala que a senha tá errada, mas não está.

Atualmente não atuo na Justiça Trabalhista, mas quando atuava nunca tive problema desse tipo. Pra mim sempre rodou 100% aqui. Infelizmente não sei se consigo te ajudar. 

Em 02/06/2021 at 10:43, CarneiroVictor disse:

Sim. Tudo isso em ordem.

O meu problema, aparentemente, é uma incompatibilidade do PjeOffice com o BigSur. Algo como se ele fosse um arquivo que, ao executar, "crasha". Imagino que tenha a ver com a mudança dos "programas" para "apps" a partir desse novo MacOS, pois antes de atualizar, sempre tudo, funcionou. Logo depois da atualização do Mojave pro BigSur, parou de funcionar.

O driver do token, está correto? Isso acontecia comigo quando o caminho do driver estava errado.

No meu caso resolveu quando troquei esse driver:

/usr/local/lib/libaetpkss.dylib

Por esse:

/usr/local/lib/libeTPkcs11.dylib

Link para o comentário
Compartilhar em outros sites

Galera, possuo um macbook air M1 e estou tentando adicionar o dispositivo criptográfico no firefox e recebo a mensagem de que não foi possível carregar o módulo. Alguém sabe como corrigir isso?

Ademais tenho um Token GD Burti e já consegui instalar e utilizar PJEOffice e WebSigner normalmente, mas não consigo acesso ao "magnifíco" PJD do TJGO, tampouco o Projudi do TJPR. Algum advogado-herói-programador-hacker já conseguiu acesso a esses dois sistemas ultra-master-blaster modernos?

Agradeço a ajuda dos colegas.

 

Editado por MDetz
Link para o comentário
Compartilhar em outros sites

Em 03/06/2021 at 19:52, MDetz disse:

Galera, possuo um macbook air M1 e estou tentando adicionar o dispositivo criptográfico no firefox e recebo a mensagem de que não foi possível carregar o módulo. Alguém sabe como corrigir isso?

Ademais tenho um Token GD Burti e já consegui instalar e utilizar PJEOffice e WebSigner normalmente, mas não consigo acesso ao "magnifíco" PJD do TJGO, tampouco o Projudi do TJPR. Algum advogado-herói-programador-hacker já conseguiu acesso a esses dois sistemas ultra-master-blaster modernos?

Agradeço a ajuda dos colegas.

 

Ja viu a questao da versão do FF?

Link para o comentário
Compartilhar em outros sites

Em 03/06/2021 at 19:52, MDetz disse:

Galera, possuo um macbook air M1 e estou tentando adicionar o dispositivo criptográfico no firefox e recebo a mensagem de que não foi possível carregar o módulo. Alguém sabe como corrigir isso?

Ademais tenho um Token GD Burti e já consegui instalar e utilizar PJEOffice e WebSigner normalmente, mas não consigo acesso ao "magnifíco" PJD do TJGO, tampouco o Projudi do TJPR. Algum advogado-herói-programador-hacker já conseguiu acesso a esses dois sistemas ultra-master-blaster modernos?

Agradeço a ajuda dos colegas.

 

Projudi/GO passou a funcionar depois que instalei o WebPKI. Funciona inclusive no Safari.

No caso do Projudi/PR, entrei em contato com o suporte técnico e postei em alguns posts atrás a solução que eles sugeriram.

Link para o comentário
Compartilhar em outros sites

Em 04/06/2021 at 23:08, mktanaka disse:

Ja viu a questao da versão do FF?

 

Em 05/06/2021 at 13:42, rafaelalvesgb disse:

Projudi/GO passou a funcionar depois que instalei o WebPKI. Funciona inclusive no Safari.

No caso do Projudi/PR, entrei em contato com o suporte técnico e postei em alguns posts atrás a solução que eles sugeriram.

Resolvi meus problemas instalando o Firefox ESR. Apesar de sacrificar o layout mais limpo da nova versão, pelo menos consegui carregar o token e finalmente consegui acessar o Projudi/GO e Projudi/PR.

Muito obrigado pelo auxílio dos colegas!

Editado por MDetz
Link para o comentário
Compartilhar em outros sites

Em 20/05/2021 at 11:05, mktanaka disse:

*** respostando o que eu havia escrito anteriormente em outro tópico ***

*** a grande sacada aqui é usar uma versão mais antiga do firefox.

Senhores, após 2 dias e umas 8h quebrando a cabeça, consegui fazer funcionar o meu novo Macbook Air M1 com a intranet da empresa em que trabalho. Sempre busquei informação do PJe Office dos advogados pois acho que usamos a mesma tecnologia ou forma de acesso (Firefox, Safe Sign, Token Admin etc).

A dica de ouro é usar uma versão antiga do Firefox (v.83). Aqui funcionou após muito quebrar a cabeça!

Fonte da informação:

https://forums.epo.org/epo-smart-card-drivers-on-m1-apple-silicon-macbooks-9988

"For those that may be interested, the solution identified with the IT support was to install a pre-Apple Silicon version of Firefox and use the latest drivers.
i.e.
Install cryptovision sc/interface 8.0 drivers on Big Sur.
Download and install the old Firefox v83.
Disable automatic updates on Firefox.
Then install the Gemalto PC Twin Reader module in Firefox in the usual way.
This works."

O problema que dava pra mim é que ao carregar o libaetpkss.dylib dava erro. Com a versão v83 carregou normal e está funcionando. Do que se trata isso? Minhas anotações e estudos tem esse passo aqui, que é onde não estava tendo sucesso no M1: "Firefox > opções (ou preferencias)> privacidade e segurança > dispositivos de segurança > botão “carregar” e digite no campo que será aberto “/Applications/tokenadmin.app/Contents/Frameworks/libaetpkss.dylib” (sem as aspas) e clique OK"

Espero que tenha consegui explicar direitinho pra vcs. A idéia é só compartilhar o que funcionou aqui neste fórum que tanto já me salvou em muitos apuros que já passei em Certificados Digitais em Macbook.

Macbook Air M1

Safesign 3.5.6.1.

Safenet Authentication Client 10.2.97.0.

Firefox v.83.

Pelo nome desse arquivo dylib aí, acho que o seu problema era exatamente o meu. Veja meu ultimo post. Demorei pra solucionar mas salvou  meu M1 aqui (tava quase desistindo e voltando pro meu mac antigo).

Em 20/05/2021 at 11:05, mktanaka disse:

*** respostando o que eu havia escrito anteriormente em outro tópico ***

*** a grande sacada aqui é usar uma versão mais antiga do firefox.

Senhores, após 2 dias e umas 8h quebrando a cabeça, consegui fazer funcionar o meu novo Macbook Air M1 com a intranet da empresa em que trabalho. Sempre busquei informação do PJe Office dos advogados pois acho que usamos a mesma tecnologia ou forma de acesso (Firefox, Safe Sign, Token Admin etc).

A dica de ouro é usar uma versão antiga do Firefox (v.83). Aqui funcionou após muito quebrar a cabeça!

Fonte da informação:

https://forums.epo.org/epo-smart-card-drivers-on-m1-apple-silicon-macbooks-9988

"For those that may be interested, the solution identified with the IT support was to install a pre-Apple Silicon version of Firefox and use the latest drivers.
i.e.
Install cryptovision sc/interface 8.0 drivers on Big Sur.
Download and install the old Firefox v83.
Disable automatic updates on Firefox.
Then install the Gemalto PC Twin Reader module in Firefox in the usual way.
This works."

O problema que dava pra mim é que ao carregar o libaetpkss.dylib dava erro. Com a versão v83 carregou normal e está funcionando. Do que se trata isso? Minhas anotações e estudos tem esse passo aqui, que é onde não estava tendo sucesso no M1: "Firefox > opções (ou preferencias)> privacidade e segurança > dispositivos de segurança > botão “carregar” e digite no campo que será aberto “/Applications/tokenadmin.app/Contents/Frameworks/libaetpkss.dylib” (sem as aspas) e clique OK"

Espero que tenha consegui explicar direitinho pra vcs. A idéia é só compartilhar o que funcionou aqui neste fórum que tanto já me salvou em muitos apuros que já passei em Certificados Digitais em Macbook.

Macbook Air M1

Safesign 3.5.6.1.

Safenet Authentication Client 10.2.97.0.

Firefox v.83.

Pelo nome desse arquivo dylib aí, acho que o seu problema era exatamente o meu. Veja meu ultimo post. Demorei pra solucionar mas salvou  meu M1 aqui (tava quase desistindo e voltando pro meu mac antigo).

Fiz toda a configuração que você disse.

No Firefox 83 consegui adicionar o certificado lá nas Preferências, carreguei a Lib e pediu o PIN, está como "LOGADO".

No PJEOffice, habilitei o modo desenvolvedor, carreguei a LIB, fui na aba avançado e o token foi reconhecido lá. Digitei a senha, e OK.

Porém, no site do PJE TRT15, ao clicar em entrar, ele exibe meu certificado, pergunta "SEMPRE CONFIAR" e em seguida dá o erro "sun security pkcs11 wrapper pkcs exception ckr_device_error". Não consigo resolver :(

Link para o comentário
Compartilhar em outros sites

21 minutos atrás, rbcazare disse:

Porém, no site do PJE TRT15, ao clicar em entrar, ele exibe meu certificado, pergunta "SEMPRE CONFIAR" e em seguida dá o erro "sun security pkcs11 wrapper pkcs exception ckr_device_error". Não consigo resolver :(

Pra mim isso é um bug do PJeOffice. Após fechar essa janela, normalmente tento fazer o acesso de novo e sempre funciona.

Isso sempre acontece comigo a primeira vez que vou acessar o PJe do Tribunal. Mas é só dar reload que a janela do PIN aparece na sequência.

Link para o comentário
Compartilhar em outros sites

24 minutos atrás, rafaelalvesgb disse:

Pra mim isso é um bug do PJeOffice. Após fechar essa janela, normalmente tento fazer o acesso de novo e sempre funciona.

Isso sempre acontece comigo a primeira vez que vou acessar o PJe do Tribunal. Mas é só dar reload que a janela do PIN aparece na sequência.

Chegou a pedir o PIN e após eu digitar, deu aquele erro do CKR_DEVICE_ERROR.

Será que pode ser a versão do Java? Estou na mais atual 281, e no seguinte site ensinam utilizar a 121:

https://ravel.com.br/blog/erro-pkcs11-no-pjeoffice/


E se eu migrar para o Shodo? Será que acesso o PJE? Ou persisto no PjeOffice?

Só pra acrescentar, no Chrome acesso o ESAJ normalmente, apenas com o tokenadmin 3.5.61 do link holandês e o websigner do próprio TJSP.

Estou lutando com o PJE.

Editado por rbcazare
Link para o comentário
Compartilhar em outros sites

Participe do debate

Você pode postar agora e se registrar depois. Se você tem uma conta, entre agora para postar com ela.

Visitante
Responder este tópico…

×   Você colou conteúdo com formatação.   Remover formatação

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Limpar editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Quem Está Navegando   0 membros estão online

    Nenhum usuário registrado visualizando esta página.

×
×
  • Criar Novo...